/*
**  Copyright (c) 2007, 2008 Sendmail, Inc. and its suppliers.
**    All rights reserved.
*/

#ifndef _DKIM_TEST_H_
#define _DKIM_TEST_H_

#ifndef lint
static char dkim_test_h_id[] = "@(#)$Id: dkim-test.h,v 1.9 2008/07/10 18:10:12 msk Exp $";
#endif /* !lint */

/* libdkim includes */
#include "dkim.h"

/* prototypes */
extern int dkim_test_adsp __P((DKIM_LIB *, const char *, dkim_policy_t *,
                               int *, char *, size_t));
extern int dkim_test_key __P((DKIM_LIB *, char *, char *, char *, size_t,
                              char *, size_t));

extern size_t dkim_test_dns_get __P((DKIM *, u_char *, size_t));
extern int dkim_test_dns_put __P((DKIM *, int, int, int, u_char *, u_char *));

#endif /* ! _DKIM_TEST_H_ */
